Description

Hi,

after installing QGIS 1.4.0 via the stand-alone "no-grass" installer the program fails to start. You get a pop-up with this error:

+qgis.exe Application Error+

The Application failed to initialize properly (0xc0150002).

Click on OK to terminate the application.

the download page suggests to install the Microsoft C Runtime Libraries, and it links to the 2008 version. Unfortunately (for me at least)

that is not the correct dependency! After digging through the forum archives I discovered that the magic package was MSVC 2005 SP1.

For good measure I suggest to link to both the 2005.SP1 and 2008.SP1 download pages instead of the 2008.0 download page, or better

yet bundle them into the app.

http://www.microsoft.com/downloads/details.aspx?displaylang=en&#38;FamilyID=200b2fd9-ae1a-4a14-984d-389c36f85647

http://www.microsoft.com/downloads/details.aspx?displaylang=en&#38;FamilyID=a5c84275-3b97-4ab7-a40d-3802b2af5fc2

this webpage describes how to check+add missing deps for MSVC:

http://social.msdn.microsoft.com/Forums/en/Vsexpressvc/thread/03e98c40-b91a-482e-90d1-d82021a6c0eb

Hi All,

This problem basically comes due to run time libraries.

Visual studio has different versions of binaries (dlls) in their

releases, which it tries to find on the deployed machine.

The best solution for this is: Make a setup solution as a sub

project in main project which takes all the outputs of the

project and put it into a single deployment project.

Making such a deployment project in simple steps.

1)Right click on solution in VS.

2)Add a new project.

3)Choose Other Project Types -> Setup and Deployment

4)Right click on setup project -> add -> project output

5)Select the outputs of each sub projects added in the solution.

6)Check the dependencies of each added project output by right

 click on "project output group" now visible in setup solution.

 [Critical: here check all the dependency + if needed add some

 additional files which are displayed in dependency, may be

 something like xxx_vsxx_msmxx...]

2024-03-13 1/2

http://www.microsoft.com/downloads/details.aspx?displaylang=en&#38;FamilyID=200b2fd9-ae1a-4a14-984d-389c36f85647
http://www.microsoft.com/downloads/details.aspx?displaylang=en&#38;FamilyID=a5c84275-3b97-4ab7-a40d-3802b2af5fc2
http://social.msdn.microsoft.com/Forums/en/Vsexpressvc/thread/03e98c40-b91a-482e-90d1-d82021a6c0eb


6)Build the setup project.

After this install the setup and try to run.

May this helps you :)

    by Anviksingh Tuesday, February 02, 2010 11:52 AM

thanks,

Hamish

ps- I find the download page listings on the website very hard to tell apart. Could you either add a light frame-outline on the table; a <HR>

between entries; or set the left-two columns to be vertically aligned at the tops of their rows? I.e. make it clear which download link

belongs to which version.

History

#1 - 2010-06-12 02:46 AM - Paolo Cavallini

Are we going to make a standalone win package for 1.5? If not, please close the ticket.

#2 - 2010-06-12 06:28 AM - hamish -

http://qgis.org/en/download/current-software.html for 1.4.0 Windows (stand-alone) is still pointing users to the wrong URL. Please fix that before closing

this bug as it's not exactly easy for people to figure out, and non-developers are unlikely to have the correct dependency already installed by chance.

thanks,

Hamish

#3 - 2010-09-19 08:05 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

It should be solved with current standalone package and new download page. Please reopen it if not.
